import { Request, Response } from 'express';
import { createMemberDto, filterMembersDto, signinMemberDto } from './members.dto';
import { MembersService } from './members.service';
export declare class MembersController {
    private readonly service;
    constructor(service: MembersService);
    login(data: signinMemberDto, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    create(data: createMemberDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    getAll(owner_id: string, dataScope: 'own' | 'all' | undefined, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    getByFilteres(query: filterMembersDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    findMember(memberId: string, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    updateMember(data: createMemberDto, memberId: string, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    delete(memberId: string, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
}
